This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 368631 - Attempted to do software updater
Attempted to do software updater
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 12:57 EST by Thomas
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crashdump (2.12 KB, application/octet-stream)
2007-11-06 12:57 EST, Thomas
no flags Details

  None (edit)
Description Thomas 2007-11-06 12:57:21 EST
Description of problem:
Booted F7, logged in as non sudoer, went to Applications- System Tools- Software
Updater- then Exception Occurred.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Component: pirut
Summary: TB8f5a3431 yumRepo.py:749:_getRepoXML:RepoError: Cannot retrieve
repository metadata (repomd.xml) for repository: fedora. Please verify its path
and try again

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
    main()
  File "/usr/sbin/pup", line 643, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 521, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in
_check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 753, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 749, in _getRepoXML
    raise Errors.RepoError, (msg)
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository:
fedora. Please verify its path and try again

Local variables in innermost frame:
msg: Cannot retrieve repository metadata (repomd.xml) for repository: fedora.
Please verify its path and try again
self: fedora
e: Cannot find a valid baseurl for repo: fedora
Comment 1 Thomas 2007-11-06 12:57:21 EST
Created attachment 249471 [details]
crashdump
Comment 2 Jeremy Katz 2007-11-19 13:56:22 EST
What version of pirut is this with?
Comment 3 Jeremy Katz 2007-12-31 09:49:39 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.